## rtpg 0.0.3

=== Makefile ===
LANGS		:= 	$(shell ls po/*.po|sed 's/...$$//'|sed 's/^...//')
TEMPLATE_PO	=	po/TEMPLATE.pot


HTMLS		=	$(LANGS:%=templates/langs/%.html)
JSS		=	$(LANGS:%=js/langs/%.main.js)

POS         = $(wildcard po/??.po)

VERSION		= $(shell \
	grep VERSION index.cgi |grep ^our \
	|sed 's/^[^[:digit:]]\+//' |sed 's/".*//')

SVN_VERSION = $(shell svn info|grep ^Revision:|awk '{print $$2}')

SVERSION    = $(VERSION)+svn$(SVN_VERSION)


all:	$(HTMLS) $(JSS)

templates/langs/%.html: po/%.po $(TEMPLATE_PO)
	perl poabstract/gen_translate.pl -s templates/index.tt.html $<	>$@

js/langs/%.main.js: po/%.po $(TEMPLATE_PO)
	perl poabstract/gen_translate.pl -s js/main.js $< > $@


build/html.po: templates/index.tt.html Makefile
	perl poabstract/extract_po.pl -s $< $@

build/js.po: js/main.js Makefile
	perl poabstract/extract_po.pl -s $< $@


$(TEMPLATE_PO): build/html.po build/js.po
	msgcat $^ > $@
	for lang in $(LANGS); do \
		msgmerge --suffix=.previous --update po/$$lang.po $@; \
	done



tarball-svn:
	rm -f *.orig.tar.gz
	fakeroot debian/rules clean
	rm -fr tmp
	mkdir -p tmp/rtpg-$(SVERSION)
	rsync --exclude=tmp --exclude=.svn \
		--exclude=jquery.js --exclude=deb-package \
		-a * tmp/rtpg-$(SVERSION)
	cd tmp && tar -czf ../rtpg_$(SVERSION).orig.tar.gz rtpg-$(SVERSION)
	rm -fr tmp



tarball:
	rm -f *.orig.tar.gz
	fakeroot debian/rules clean
	rm -fr tmp
	mkdir -p tmp/rtpg-$(VERSION)
	rsync --exclude=tmp --exclude=.svn \
		--exclude=jquery.js --exclude=deb-package \
		-a * tmp/rtpg-$(VERSION)
	cd tmp && tar -czf ../rtpg_$(VERSION).orig.tar.gz rtpg-$(VERSION)
	rm -fr tmp

deb-package: tarball
	rm -fr deb-package
	mkdir deb-package
	cp rtpg_$(VERSION).orig.tar.gz deb-package
	tar -xzf deb-package/rtpg_$(VERSION).orig.tar.gz -C deb-package
	cd deb-package/rtpg-$(VERSION) && debuild
	cd deb-package \
	    && dpkg-scanpackages . |gzip > Packages.gz \
	    && dpkg-scansources  . |gzip > Sources.gz

deb-svn-package: tarball-svn
	rm -fr deb-package
	mkdir deb-package
	cp rtpg_$(SVERSION).orig.tar.gz deb-package
	tar -xzf 'deb-package/rtpg_$(SVERSION).orig.tar.gz' -C deb-package
	cd deb-package/rtpg-$(SVERSION) \
	    && dch --newversion $(SVERSION)-1 'SVN snapshot.' && debuild
	cd deb-package \
	    && dpkg-scanpackages . |gzip > Packages.gz \
	    && dpkg-scansources  . |gzip > Sources.gz

rsync: deb-package
	rsync -zave ssh --delete --exclude=rtpg-$(VERSION) \
		deb-package/ dgate:/share/www/uvw.ru/debian/rtpg/
	@echo uploaded package to: http://uvw.ru/debian/rtpg/

rsync-svn: deb-svn-package
	rsync -zave ssh --delete --exclude=rtpg-$(SVERSION) \
		deb-package/ dgate:/share/www/uvw.ru/debian/rtpg/
	@echo uploaded package to: http://uvw.ru/debian/rtpg/

clean:
	rm -f *.orig.tar.gz svn-commit* po/*.po.previous
	rm -fr tmp deb-package
	fakeroot debian/rules clean
	rm -fr build/*

open-project:
	screen -t vim vim \
		index.cgi js/main.js templates/index.tt.html \
		rtpg.GTK2.pl
		

commit:
	svn update
	svn commit
	svn update

## rtpg 0.1.6

=== Makefile ===
--- 
+++ 
@@ -100,6 +100,8 @@
 	rm -fr tmp deb-package
 	fakeroot debian/rules clean
 	rm -fr build/*
+	[ ! -f cpan/Makefile ] ||  make distclean -C cpan
+	rm -f RTPG-*.tar.gz
 
 open-project:
 	screen -t vim vim \
@@ -111,3 +113,11 @@
 	svn update
 	svn commit
 	svn update
+
+cpan-tgz:
+	[ ! -f cpan/Makefile ] ||  make distclean -C cpan 
+	cd cpan && perl Makefile.PL
+	make -C cpan distdir
+	cd cpan && name=`ls -d RTPG-*` && tar -czvf ../$$name.tar.gz $$name
+
+.PHONY: cpan-tgz

## rtpg 0.2.6

=== Makefile ===
SVN = http://svn.rtpg2.rshadow.ru


DEBVERSION 	= $(shell \
	dpkg-parsechangelog|grep ^Version:|awk '{print $$2}' \
		|sed 's/-[[:digit:]]\+$$//' )

DEBFULLVERSION 	= $(shell \
	dpkg-parsechangelog|grep ^Version:|awk '{print $$2}')

VERSION		= $(shell \
	grep VERSION index.cgi |grep ^our \
	|sed 's/^[^[:digit:]]\+//' |sed 's/".*//')

SVN_VERSION = $(shell svn info|grep ^Revision:|awk '{print $$2}')

SVERSION    = $(VERSION)+svn$(SVN_VERSION)

LANGS		:= 	$(shell ls po/*.po|sed 's/...$$//'|sed 's/^...//')

# Extract gettext strings to en.po file
.PHONY: i18n
i18n:
	# find all gettext messages and save in *.pot
	for file in `find templates lib -type f | grep -v '\.svn'`; do \
		perl tools/extract_po.pl \
			-o "gettext('" -c "')" -q \
			$$file  build/`basename $$file`.pot; \
	done
	# concat all files in one template
	msgcat build/*.pot tools/STATIC.pot > po/TEMPLATE.pot
	# update current transtation files
	for lang in $(LANGS); do \
		msgmerge --suffix=.previous --update po/$$lang.po po/TEMPLATE.pot; \
	done

clean:
	rm -fr build/*
	rm -fr po/*.previous
	
all: po


SRC		=	$(shell find .|grep -v '\./build\|\.svn')
DEB		=	build/rtpg-www_$(DEBFULLVERSION)_all.deb
ORIG		=	build/rtpg_$(DEBVERSION).orig.tar.gz

deb-package: build/stamp $(DEB)

build/stamp:
	mkdir -p build
	touch $@

$(DEB): $(ORIG)
	cd build/rtpg-$(DEBVERSION)/ && debuild

$(ORIG): $(SRC)
	rm -fr build/rtpg-$(DEBVERSION)
	mkdir build/rtpg-$(DEBVERSION)
	rsync --exclude=.svn --exclude=build -a \
		* build/rtpg-$(DEBVERSION)/
	cd build && \
		tar --exclude=debian -czf \
			rtpg_$(DEBVERSION).orig.tar.gz rtpg-$(DEBVERSION)/

=== debian/changelog ===
rtpg (0.2.6-1) unstable; urgency=low

  * Fixed sorting of refresh-time.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 09 Jun 2010 17:37:37 +0400

rtpg (0.2.5-1) unstable; urgency=low

  * Fixed licenses and debian packaging, updated debian/copyright.
  * Added Roman V. Nikolaev to uploaders list.
  * First unstable upload for new rtpg.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 08 Jun 2010 16:21:58 +0400

rtpg (0.2.4-1) experimental; urgency=low

  * detecting if upload file is torrent processes more properly.
  * min jquery version is 1.4.2.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 07 Jun 2010 12:33:22 +0400

rtpg (0.2.3-1) experimental; urgency=low

  * A few speed optimizations and bugfixes.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 31 May 2010 15:38:24 +0400

rtpg (0.2.2-1) experimental; urgency=low

  * Fixed uploading torrents in Debian/stable (it has old CGI).

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 30 May 2010 10:50:23 +0400

rtpg (0.2.1-1) experimental; urgency=low

  * index.cgi to ensure compatibility with old rtpg(0.1) config.
  * switched to 3.0 debian/source format.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 28 May 2010 16:47:08 +0400

rtpg (0.2.0-1) experimental; urgency=low

  * New upstream version:
    - new frame interface;
    - slow ajax was removed.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 28 May 2010 15:32:51 +0400

rtpg (0.1.7-1) unstable; urgency=low

  * Fixed a few apache warnings.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 15 Jan 2010 18:00:26 +0300

rtpg (0.1.6-1) unstable; urgency=low

  * New upstream version, now it can work with the last version of
    XML::RPC::Parser.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 13 Nov 2009 21:09:04 +0300

rtpg (0.1.5-1) unstable; urgency=low

  * New upstream version: fix perl-library for rtorrent 0.8.5.
  * Standards-Version bumped to 3.8.3.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 19 Aug 2009 09:08:32 +0400

rtpg (0.1.4-1) unstable; urgency=low

  * New upstream version (Now RTPG supports working on ports
    different 80 or 443).
  * Fixed a few lintian warnings.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 01 Jul 2009 14:54:22 +0400

rtpg (0.1.3-1) unstable; urgency=low

  * Fixed progressbars (it was set incorrectly in the first refresh).
  * Bumped Standards-Version to 3.8.1.
  * Added Japanese translation, thanks Hideki Yamane (Debian-JP)
    <henrich@debian.or.jp>, closes: #520064.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 04 May 2009 22:46:01 +0400

rtpg (0.1.2-1) unstable; urgency=low

  * Added ability to switch many priorities of torrent at once.
  * a few optimisations for better work with many torrents.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 05 Mar 2009 13:46:20 +0300

rtpg (0.1.1-1) unstable; urgency=low

  * I've made a few optimisations for better work of the rtpg with
    many torrents.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 04 Mar 2009 22:33:58 +0300

rtpg (0.1.0-1) unstable; urgency=low

  * Now rtpg can to use direct link to rtorrent's SCGI-port/socket.
  * Removed apache2, libapache2-mod-scgi from depends, closes: #512922,
    look at README.Debian for more information.
  * Added debconf's translation:
    * Vietnamese, thanks Clytie Siddall <clytie@riverland.net.au>,
      closes: #513804;
    * Slovak, thanks helix84 <helix84@centrum.sk>, closes: #514392.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 14 Feb 2009 23:11:45 +0300

rtpg (0.0.7-1) unstable; urgency=low

  * The description and debconf's template have been patched, closes: #511284,
  	thanks Christian Perrier <bubulle@debian.org>.
  * Updated or added debconf's:
    * Czech translation,
    	thanks Daniel Kavan <kuan@maradan.org>, closes: #512017;
    * Russian translation,
    	thanks Yuri Kozlov <yuray@komyakino.ru>, closes: #512166;
    * Portuguese translation,
    	thanks Américo Monteiro <a_monteiro@netcabo.pt>, closes: #512057;
    * Swedish translation,
    	thanks Martin Bagge <brother@bsnet.se>,	closes: #511568;
    * French translation, 
      	thanks Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>,
      	closes: #512468;
    * Finnish translation, thanks Esko Arajärvi <edu@iki.fi>, closes: #512218;
    * Romanian translation,
    	thanks Eddy Petrișor <eddy.petrisor@gmail.com>, closes: #512708;
    * German translation,
    	thanks Helge Kreutzmann <debian@helgefjell.de>, closes: #512127;
    * Basque translation,
    	thanks Piarres Beobide <pi+debian@beobide.net>,	closes: #513220;
    * Spanish translation, thanks 
    	Francisco Javier Cuadrado <fcocuadrado@gmail.com>, closes: #512769.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 30 Jan 2009 15:17:50 +0300

rtpg (0.0.6-1) unstable; urgency=low

  * Fixed paths in debian's directory.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 03 Jan 2009 13:23:26 +0300

rtpg (0.0.5-1) unstable; urgency=low

  * Added swedish strings for debconf, closes: #510553
    thanks Martin Bagge <brother@bsnet.se>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 03 Jan 2009 13:04:45 +0300

rtpg (0.0.4-1) unstable; urgency=low

  * The description and debconf's text has been patched (bad English),
  thanks for Christian Perrier <bubulle@debian.org>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 26 Dec 2008 10:30:49 +0300

rtpg (0.0.3-1) unstable; urgency=low

  * New upstream release (optimized by traffic, added skins, etc).

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 23 Dec 2008 22:58:21 +0300

rtpg (0.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 02 Dec 2008 11:05:32 +0300

rtpg (0.0.1-2) unstable; urgency=low

  * Added images from Konstantinas Myalo <kostia@avakomp.lt>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 01 Dec 2008 19:06:49 +0300

rtpg (0.0.1-1) unstable; urgency=low

  * Initial release, closes: #506841.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 20 Nov 2008 17:49:00 +0300

=== debian/control ===
Source: rtpg
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Uploaders: Roman V. Nikolaev <rshadow@rambler.ru>
Section: web
Priority: optional
Build-Depends: cdbs, debhelper (>= 5), po-debconf
Standards-Version: 3.8.4
Homepage: http://rtpg2.rshadow.ru
Vcs-browser: http://svn.rtpg2.rshadow.ru

Package: rtpg-www
Architecture: all
Depends: librpc-xml-perl, libjson-xs-perl, libjs-jquery (>= 1.4.2),
 libtemplate-perl,
 rtorrent (>= 0.7.9), debconf, apache2 | httpd, ${misc:Depends},
 liblocale-po-perl, libgeo-ipfree-perl, libmime-types-perl, famfamfam-flag-png,
 libtree-simple-perl
Recommends: libapache2-mod-scgi, apache2
Description: web based front end for rTorrent
 RTPG (rTorrent Perl GUI) is a simple web interface for rTorrent. Users
 can scan/delete/add torrents and set their respective priorities.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_ARGS = --exclude=.svn --exclude=po/TEMPLATE.pot

include /usr/share/cdbs/1/rules/debhelper.mk

clean::
	debconf-updatepo
	rm -f *.cdbs-config_list

## rtpg 0.2.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,12 @@
 SVN = http://svn.rtpg2.rshadow.ru
 
+RTPGMVERSION    = $(shell \
+    grep '^our[[:space:]]\+\$$VERSION' lib/RTPG.pm \
+    | sed 's/^[^[:digit:]]\+//' \
+    | sed 's/[[:space:]]*;.*//' \
+)
+
+CPANMODULE	= RTPG-$(RTPGMVERSION).tar.gz
 
 DEBVERSION 	= $(shell \
 	dpkg-parsechangelog|grep ^Version:|awk '{print $$2}' \
@@ -19,7 +26,7 @@
 LANGS		:= 	$(shell ls po/*.po|sed 's/...$$//'|sed 's/^...//')
 
 # Extract gettext strings to en.po file
-.PHONY: i18n
+.PHONY: i18n cpan
 i18n:
 	# find all gettext messages and save in *.pot
 	for file in `find templates lib -type f | grep -v '\.svn'`; do \
@@ -37,6 +44,20 @@
 clean:
 	rm -fr build/*
 	rm -fr po/*.previous
+
+
+build/$(CPANMODULE): lib/RTPG.pm lib/RTPG/Direct.pm $(wildcard cpan/*)
+	rm -fr build/cpan
+	mkdir -p build/cpan/RTPG
+	cp -ar cpan/* build/cpan
+	cp -a $< build/cpan
+	cp -a lib/RTPG/Direct.pm build/cpan/RTPG
+	cd build/cpan && perl Makefile.PL
+	make -C build/cpan distdir
+	cd build/cpan && tar -czvf ../$(CPANMODULE) RTPG-$(RTPGMVERSION)
+
+
+cpan:	build/$(CPANMODULE)
 	
 all: po

=== debian/changelog ===
rtpg (0.2.10-1) unstable; urgency=low

  * Fix params cast.
  * Show custom.

 -- Roman V. Nikolaev <rshadow@rambler.ru>  Mon, 09 Aug 2010 12:39:26 +0400

rtpg (0.2.9-1) unstable; urgency=low

  * Fix get some config params.

 -- Roman V. Nikolaev <rshadow@rambler.ru>  Wed, 14 Jul 2010 11:31:28 +0400

rtpg (0.2.8-1) unstable; urgency=low

  * Since now we use CGI::Simple instead CGI (there was a bug in
    upload function in CGI module).
  * Using locks more properly.
  * Added ukrainian trnslation.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 14 Jul 2010 11:14:37 +0400

rtpg (0.2.7-1) unstable; urgency=low

  * You can use only these frames You want.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 07 Jul 2010 16:24:43 +0400

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,9 @@
 clean::
 	debconf-updatepo
 	rm -f *.cdbs-config_list
+
+common-binary-post-install-indep::
+	find debian/rtpg-www -type f '(' -name '*.js' -o -name '*.css' ')' \
+		-exec \
+			yui-compressor --preserve-semi \
+				--disable-optimizations -o '{}' '{}' ';'

## rtpg 0.2.11

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dpkg-parsechangelog|grep ^Version:|awk '{print $$2}')
 
 VERSION		= $(shell \
-	grep VERSION index.cgi |grep ^our \
+	grep VERSION htdocs/index.cgi |grep ^our \
 	|sed 's/^[^[:digit:]]\+//' |sed 's/".*//')
 
 SVN_VERSION = $(shell svn info|grep ^Revision:|awk '{print $$2}')
@@ -68,6 +68,9 @@
 
 deb-package: build/stamp $(DEB)
 
+deb-changelog:
+	dch --newversion $(VERSION)
+
 build/stamp:
 	mkdir -p build
 	touch $@

=== debian/changelog ===
rtpg (0.2.11-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 15:01:45 +0100

rtpg (0.2.11-3) unstable; urgency=low

  * removed artefact. Thanks for Pavel Arkhipov <poul-hip@yandex.ru>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 11 Feb 2011 16:01:37 +0300

rtpg (0.2.11-2) unstable; urgency=low

  * Removed postinst/configure scripts, closes: #608451.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 12 Jan 2011 10:31:02 +0300

rtpg (0.2.11-1) unstable; urgency=low

  [ Roman V. Nikolaev ]
  * Fix uk language code.
  * Add language names tooltip.

  [ Dmitry E. Oboukhov ]
  Added debconf's question about changing /etc/hosts. Closes: #608451.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 31 Dec 2010 16:20:05 +0300

=== debian/control ===
Source: rtpg
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Uploaders: Roman V. Nikolaev <rshadow@rambler.ru>
Section: web
Priority: extra
Build-Depends: cdbs, debhelper (>= 5), po-debconf, yui-compressor
Standards-Version: 3.8.4
Homepage: http://rtpg2.rshadow.ru
Vcs-browser: http://svn.rtpg2.rshadow.ru

Package: rtpg-www
Architecture: all
Depends: librpc-xml-perl (>= 0.69),
 libjson-xs-perl,
 libjs-jquery (>= 1.4.2),
 libtemplate-perl,
 rtorrent (>= 0.7.9), debconf, apache2 | httpd, ${misc:Depends},
 liblocale-po-perl, libgeo-ipfree-perl, libmime-types-perl, famfamfam-flag-png,
 libtree-simple-perl,
 libcgi-simple-perl
Recommends: libapache2-mod-scgi, apache2
Description: web based front end for rTorrent
 RTPG (rTorrent Perl GUI) is a simple web interface for rTorrent. Users
 can scan/delete/add torrents and set their respective priorities.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 clean::
-	debconf-updatepo
 	rm -f *.cdbs-config_list
 
 common-binary-post-install-indep::
